from typing import Mapping, Callable, Any
from saas.library.python.logbroker.configuration import ConfigurationClient

class LogbrokerEntity(object):
    _PROP_TYPE_MAPPING: Mapping  = {}
    _PROP_CLASS: Callable = None

    def __init__(self, logbroker_client: ConfigurationClient, path: str) -> None:
        self._logbroker_client: ConfigurationClient = logbroker_client
        self.path: str = path

    def __str__(self) -> str: ...

    @classmethod
    def _fill_properties(cls, **kwargs) -> Any: ...

    def describe(self) -> Any: ...

class LogbrokerConsumer(LogbrokerEntity):
    ...
